ru.bitel.bgbilling.modules.payonline.server

## Class PayOnlineUtils

- java.lang.Object
- - ru.bitel.bgbilling.modules.payonline.server.PayOnlineUtils

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class PayOnlineUtils
      extends java.lang.Object
      implements java.lang.AutoCloseable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ORDER_TYPE_REBILL`
    `static int` | `ORDER_TYPE_USUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PayOnlineUtils(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `pay(Transaction transaction, int orderType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ORDER_TYPE_USUAL

          public static final int ORDER_TYPE_USUAL

      See Also:
        Constant Field Values

    - #### ORDER_TYPE_REBILL

          public static final int ORDER_TYPE_REBILL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PayOnlineUtils

          public PayOnlineUtils(java.sql.Connection con,
                                int mid)
                         throws ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`

    - #### pay

          public void pay(Transaction transaction,
                          int orderType)
                   throws ru.bitel.bgbilling.common.BGException,
                          java.sql.SQLException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`